ru.bitel.bgbilling.kernel.contract.object.server.bean

## Class ContractObjectDao

- java.lang.Object
- - ru.bitel.common.dao.AbstractDao<B>
  - - ru.bitel.common.dao.AbstractIdDao<E>
    - - ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao<ContractObject>
      - - ru.bitel.bgbilling.kernel.contract.object.server.bean.ContractObjectDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class ContractObjectDao
      extends AbstractEntityAttrDao<ContractObject>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

      `AbstractEntityAttrDao.AddressItemModifiedEventListener`

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

      `entitySpecAttrDirectory, entitySpecDirectory, filterWeightComparator, userId`

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_WHERE, tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractObjectDao(java.sql.Connection con, int userId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ru.bitel.bgbilling.kernel.directory.api.common.Directory<? extends EntitySpecAttr>` | `getEntitySpecAttrDirectory()`
    `ru.bitel.bgbilling.kernel.directory.api.common.Directory<? extends EntitySpec>` | `getEntitySpecDirectory()`
    `protected ContractObject` | `getFromRS(java.sql.ResultSet rs, boolean loadAttributes, boolean loadEntityTitle)`
    `java.util.List<ContractObject>` | `list(int contractId)`
    `protected void` | `updateImpl(ContractObject b)` Этот метод каждый реализует сам со своей логикой.

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

      `filterInit, filterJoin, filterToPS, getAttribute, getEntityAttributes, getEntityTableName, getFromRS, list, listImpl, onAddressItemUpdate, updateEntityAttribute, updateEntityAttributes`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getSQLOrder, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractObjectDao

          public ContractObjectDao(java.sql.Connection con,
                                   int userId)

  - ### Method Detail

    - #### getEntitySpecDirectory

          public ru.bitel.bgbilling.kernel.directory.api.common.Directory<? extends EntitySpec> getEntitySpecDirectory()
                                                                                                                throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `getEntitySpecDirectory` in class `AbstractEntityAttrDao<ContractObject>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getEntitySpecAttrDirectory

          protected ru.bitel.bgbilling.kernel.directory.api.common.Directory<? extends EntitySpecAttr> getEntitySpecAttrDirectory()
                                                                                                                           throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `getEntitySpecAttrDirectory` in class `AbstractEntityAttrDao<ContractObject>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromRS

          protected ContractObject getFromRS(java.sql.ResultSet rs,
                                             boolean loadAttributes,
                                             boolean loadEntityTitle)
                                      throws java.sql.SQLException,
                                             ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `AbstractEntityAttrDao<ContractObject>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(ContractObject b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Description copied from class: `ru.bitel.common.dao.AbstractDao`
      Этот метод каждый реализует сам со своей логикой.
      Для обновления вызывать update.
      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<ContractObject>`
      Parameters:
        `b` - экземпляр модели
      Throws:
        `ru.bitel.bgbilling.common.BGException` - ошибки
        `java.sql.SQLException` - ошибки

    - #### list

          public java.util.List<ContractObject> list(int contractId)
                                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`